Bug 1267269 - gluegen2: fix compilation on ppc64 and ppc64le
gluegen2: fix compilation on ppc64 and ppc64le
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gluegen2 (Show other bugs)
24
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Clément DAVID
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le/PPC64LETracker
  Show dependency treegraph
 
Reported: 2015-09-29 09:57 EDT by Rafael Fonseca
Modified: 2016-08-11 10:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: gluegen2-2.2.4-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-11 10:39:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix compilation on ppc (2.00 KB, patch)
2015-09-29 09:57 EDT, Rafael Fonseca
no flags Details | Diff

  None (edit)
Description Rafael Fonseca 2015-09-29 09:57:34 EDT
Created attachment 1078353 [details]
Fix compilation on ppc

Description of problem: gluegen2 build is missing target definitions for ppc architectures. Also, the jdk version needs to be bumped from 1.6 to 1.8.


Version-Release number of selected component (if applicable): 2.2.4-3


How reproducible: ppc-koji build gluegen2 on ppc64 or ppc64le.


Additional info: patch by Marcin Juszkiewicz attached.
Comment 1 Marcin Juszkiewicz 2015-09-29 10:34:02 EDT
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2773052 is scratch build with that patch
Comment 2 Marcin Juszkiewicz 2015-09-29 10:34:47 EDT
java 1.8 bump because antlr complains about unknown major.minor 52.0 otherwise
Comment 3 Fedora Update System 2015-11-26 16:47:03 EST
gluegen2-2.2.4-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-59f9624c7d
Comment 4 Fedora Update System 2015-11-27 21:20:34 EST
gluegen2-2.2.4-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gluegen2'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-59f9624c7d
Comment 5 Fedora Update System 2015-12-05 20:22:48 EST
gluegen2-2.2.4-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Rafael Fonseca 2015-12-07 03:51:44 EST
Could this update be applied to f22 as well, please?
Comment 7 Jan Kurik 2016-02-24 08:48:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 8 Rafael Fonseca 2016-08-11 10:39:33 EDT
f22 is EOL, there is no reason to keep this open.

Note You need to log in before you can comment on or make changes to this bug.